<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	exclude-result-prefixes="xpil"
	xmlns:xpil="http://www.together.at/2006/XPIL1.0"
	xmlns:xpdl="http://www.wfmc.org/2002/XPDL1.0" version="1.0">
	<xsl:output method="html" />
	<xsl:param name="username" select="u" />
	<xsl:param name="from_element" select="11" />
	<xsl:param name="to_element" select="20" />
	<xsl:param name="sortCriterion" select="20" />
	<xsl:param name="sortAsc" select="true" />
	<xsl:param name="total_number" select="200" />
	<xsl:param name="fromPage" select="p" />
	<xsl:param name="sharkEdition" select="e" />
	<xsl:param name="navig_url" select="ProcessActivitiesHandlerPO.po" />
	<xsl:template match="xpil:ExtendedWorkflowFacilityInstance">
		<html>
			<head>
				<title>History</title>
				<script type="text/javascript">
					function submitForm(formId, actionAttr) { var
					formTag = document.getElementById(formId);
					formTag.action=actionAttr; formTag.submit(); }
					function submitFormEvent(formId, actionAttr,event) {
					var formTag = document.getElementById(formId);
					formTag.action=actionAttr;
					formTag.event.value=event; formTag.submit(); }
				</script>
			</head>
			<body class="body_home">
				<form id="mainForm" name="mainForm" method="post"
					action="Blank.xhtml">
					<input type="hidden" name="event" />

					<table class="title_style" width="85%" border="0"
						align="center" cellpadding="0" cellspacing="0">
						<tr>
							<td colspan="5">
                            <table width="100%">
                            <tr>
                              <td width="2%" />
                  
                            <td class="logo_image_one"/>
                 
                             <td  class="logo_image_two" />
                     
                                 <td class="logo_image_three"/>
                            <td width="2%" />
                       </tr>
                        </table>
                      </td>
                  </tr>
                     
						<tr>
							<td width="2%" />
							
							<td colspan="3">
								<table class="title_style" width="100%"
									border="0" align="center" cellpadding="0" cellspacing="0">
									<tr>
										<td align="right"
											class="title_style" colspan="2" height="15">
										</td>
									</tr>
									<tr>
										<td align="right"
											class="title_style" colspan="2" height="15" />
									</tr>
									<tr>
										<td align="right"
											class="title_style" colspan="2" height="15" />
									</tr>
									<tr>
										<td align="right"
											class="title_style" colspan="2" height="15" />
									</tr>
									<tr>

                                 <td class="title_style" height="28" colspan="2">
                                    <img src="media/blank.gif" alt="" width="1"/>
                                 </td>
									</tr>
								</table>
							</td>
							<td width="2%" />
						</tr>
						<tr>
							<td class="body_upper" colspan="5"
								height="4" />
						</tr>
						<tr>
							 <td align="left" class="body_home" width="2%"/>
				         <td align="left" class="body_home" height="15">
					        History List
				        </td>
				        <td align="center" class="body_home" height="15" width="5%">
                          
                        </td>
				        <td align="right" class="body_home" height="15">
				          <b>User:</b> <xsl:value-of select="$username" />
				        </td>
                        <td align="left" class="body_home" width="2%"/>
						</tr>
						<tr>
                         <td class="body_lower" colspan="5"
								height="1" />
						</tr>
						<tr>
                     
						<tr>
                           <td align="left" class="body_home" width="2%"/>
				           <td align="left" class="body_home" height="15"/>
				           <td align="center" class="body_home" height="15" width="5%"/>
				           <td align="right" class="body_home" height="15"/>
                           <td align="left" class="body_home" width="2%"/>
                       </tr>
                       
                        <tr>
                           <td align="left" class="body_home" width="2%"/>
				           <td align="left" class="body_home" height="15"/>
				           <td align="center" class="body_home" height="15" width="5%"/>
				           <td align="right" class="body_home" height="15"/>
                           <td align="left" class="body_home" width="2%"/>
                       </tr>
                        <tr>
                         
                        </tr>

						</tr>
						<tr height="50%" />
						<tr>
						<td/>
					<td>
						  <xsl:variable name="process_id">
						 <xsl:value-of select="xpil:InstanceExtendedAttributes/xpil:InstanceExtendedAttribute[1]/@Value"/>
						 </xsl:variable>
						 <xsl:variable name="act_id">
						 <xsl:value-of select="xpil:InstanceExtendedAttributes/xpil:InstanceExtendedAttribute[2]/@Value"/>
						 </xsl:variable>
					 <xsl:if test="$act_id!='NaN'">

						  <b>ACTIVITY HISTORY</b>
						  <br/>
						  <b>Process Id : </b> <xsl:value-of select="xpil:InstanceExtendedAttributes/xpil:InstanceExtendedAttribute[1]/@Value"/><br/>
						  <b>Activity Id : </b> <xsl:value-of select="xpil:InstanceExtendedAttributes/xpil:InstanceExtendedAttribute[2]/@Value"/>
						  </xsl:if>

						<xsl:if test="$act_id='NaN'">
						  <b>PROCESS HISTORY</b>
						  <br/>
						  <b>Process Id : </b> <xsl:value-of select="xpil:InstanceExtendedAttributes/xpil:InstanceExtendedAttribute[1]/@Value"/>
						</xsl:if>
						  </td>
							<td width="2%" />
					</tr>
						<tr>
							<td colspan="5">
								<table width="100%" hight="100%"
									border="1" cellpadding="0" cellspacing="0" class="body_main">
									<tr>
									  <td class="main_header_text">
											<div align="center">
												Time
											</div>
										</td>
										<td class="main_header_text">
											<div align="center">
												Description
											</div>
										</td>

									</tr>

									<xsl:for-each select="//.">
										<xsl:choose>
											<xsl:when
												test="name()='xpil:StateEventAudit' or name()='xpil:DataEventAudit' or name()='xpil:AssignmentEventAudit'  or name()='xpil:CreateProcessEventAudit'">

												<tr
													class="content_label_text" bgcolor="white">
													<td
														align="center">
														<xsl:value-of
															select="concat(substring(@Created,0,11),' ',substring(@Created,12,12))" />
													</td>
													<td
														align="left">
														<b>Type:</b>
														<xsl:value-of
															select="@Type" />
														<b>  Package id:</b>
														<xsl:value-of
															select="@PackageId" />
														<b>  Process factory id:</b>
														<xsl:value-of
															select="@WorkflowProcessFactoryId" />
														<b>  Process factory version:</b>
														<xsl:value-of
															select="@WorkflowProcessFactoryVersion" />
														<b>  Process id:</b>
														<xsl:value-of
															select="@WorkflowProcessInstanceId" />
														<b>  Process name:</b>
														<xsl:value-of
															select="@WorkflowProcessInstanceName" />
															<b>  Process definition id:</b>
														<xsl:value-of
															select="@ProcessDefinitionId" />
														<xsl:if test="/xpil:ExtendedWorkflowFacilityInstance/xpil:InstanceExtendedAttributes/xpil:InstanceExtendedAttribute[2]/@Value!='NaN'" >
														<b>  Activity id:</b>
														<xsl:value-of
															select="@ActivityInstanceId" />
															<b>  Activity name:</b>
														<xsl:value-of
															select="@ActivityInstanceName" />
															<b>  Activity definition id:</b>
														<xsl:value-of
															select="@ActivityDefinitionId" />

														</xsl:if>
														<xsl:if test="name()='xpil:StateEventAudit'">
														<xsl:if test="@OldState!=''">
														 <b>  Old state:</b>
														<xsl:value-of
															select="@OldState" />
														</xsl:if>
															<b>  New state:</b>
														<xsl:value-of
															select="@NewState" />

														</xsl:if>
														<xsl:if test="name()='xpil:AssignmentEventAudit'">
														<xsl:if test="@OldResourceKey!=''">
														 <b>  Old resource key:</b>
														<xsl:value-of
															select="@OldResourceKey" />
															<b>  Old resource name:</b>
															<xsl:value-of
															select="@OldResourceName" />
														</xsl:if>
															<b>  New resource key:</b>
														<xsl:value-of
															select="@NewResourceKey" />
															<b>  New resource name:</b>
														<xsl:value-of
															select="@NewResourceName" />
															<b>  IS accepted:</b>
														<xsl:value-of
															select="@IsAccepted" />

														</xsl:if>
														<xsl:if test="name()='xpil:CreateProcessEventAudit'">
														<xsl:if test="@PWorkflowProcessInstanceId!=''">

														<b>PPackage id:</b>
														<xsl:value-of
															select="@PPackageId" />
														 <b>PProcess factory name:</b>
														<xsl:value-of
															select="@PWorkflowProcessFactoryId" />
														 <b>PProcess factory version:</b>
														<xsl:value-of
															select="@PWorkflowProcessFactoryVersion" />
															<b>PProcess id:</b>
														<xsl:value-of
															select="PWorkflowProcessInstanceId" />
															<b>PProcess name:</b>
														<xsl:value-of
															select="PWorkflowProcessInstanceName" />
															<b>PProcess definition id:</b>
														<xsl:value-of
															select="PProcessDefinitionId" />
															<b>PActivity id:</b>
														<xsl:value-of
															select="PActivityInstanceId" />
															<b>PActivity definition id:</b>
														<xsl:value-of
															select="PActivityDefinitionId" />													</xsl:if>


														</xsl:if>


													</td>
												</tr>
											</xsl:when>
										</xsl:choose>
									</xsl:for-each>
								</table>
							</td>
						</tr>
						<tr height="15">
							<td width="2%" colspan="4" />
						</tr>
						<tr>
							<xsl:variable name="cancelUrl">
								javascript:submitFormEvent('mainForm','HistoryHandlerPO.po?from=
								<xsl:value-of select='$from_element' />
								&#38;sortCriterion=
								<xsl:value-of select="$sortCriterion" />
								&#38;sortAsc=
								<xsl:value-of select="$sortAsc" />
								&#38;fromPage=
								<xsl:value-of select="$fromPage" />
								&#38;pro_id=
								<xsl:value-of select="/xpil:ExtendedWorkflowFacilityInstance/xpil:InstanceExtendedAttributes/xpil:InstanceExtendedAttribute[1]/@Value" />
								','cancel')
							</xsl:variable>						    <td width="2"/>
							<td colspan="3" class="title_style"
								height="30" align="right">
								<a href="{$cancelUrl}"
									class="link_text">
									<img src="media/back_n.gif"
										border="0" alt="Back" />
								</a>
							</td>
							<td width="2%" />
						</tr>
						<tr>
                  
                         <td align="left" class="body_bottom"
                           width="2%" />
                         <td align="left" colspan="2" class="body_bottom"
                               height="15">
                           &#169; 2006 Together Teaml&#246;sungen
                         </td>
                         <td class="body_bottom" height="15" align="right">
                           <xsl:variable name="loUrl">javascript:submitFormEvent('mainForm','WorklistHandlerPO.po','logout')</xsl:variable>
                            <a href="{$loUrl}">
                              Log-out
                            </a>
                         </td>
                          <td align="left" class="body_bottom"
                            width="2%" />
                  
                      </tr>
					</table>
				</form>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
